Bug 194890 - fix distinfo of x11/nvidia-driver
Summary: fix distinfo of x11/nvidia-driver
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 21:50 UTC by TsurutaniNaoki
Modified: 2014-11-10 00:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2014-11-07 21:50:37 UTC
building x11/nvidia-driver-304 fails on i386.

Fix:
no distinfo data is found for NVIDIA-FreeBSD-x86-304.123.tar.gz;
	old data remains for x86 even though that for x86_64 is updated.
	here is a patch:

--- distinfo.orig	2014-11-06 02:00:29.000000000 +0900
+++ distinfo	2014-11-08 06:14:00.000000000 +0900
@@ -4,8 +4,8 @@
 SIZE (NVIDIA-FreeBSD-x86-340.46.tar.gz) = 59013852
 SHA256 (NVIDIA-FreeBSD-x86_64-304.123.tar.gz) = 32ea8ce22b4fe50f59782c390b8ec1d90bb44e02787255476f0304c60f11e877
 SIZE (NVIDIA-FreeBSD-x86_64-304.123.tar.gz) = 35144064
-SHA256 (NVIDIA-FreeBSD-x86-304.88.tar.gz) = 739325b26a93d934d015159c420ef1875a24ccd62a5bb482e688cf918d4fa33d
-SIZE (NVIDIA-FreeBSD-x86-304.88.tar.gz) = 33651825
+SHA256 (NVIDIA-FreeBSD-x86-304.123.tar.gz) = 7e4433364c5f42de6611b8cf722e0073eae6763a6664d6b9fd652ef05ebee24b
+SIZE (NVIDIA-FreeBSD-x86-304.123.tar.gz) = 34160879
 SHA256 (NVIDIA-FreeBSD-x86-173.14.35.tar.gz) = 51e82a12db81b5af4ae5ee59612875c0dbef52cb641d61a44c72f2e1cd7f4c78
 SIZE (NVIDIA-FreeBSD-x86-173.14.35.tar.gz) = 18748428
 SHA256 (NVIDIA-FreeBSD-x86-96.43.23.tar.gz) = 18d855db8381eda1a6cf548c9e5095fc5bb8694bf1d6e24fc1072fba4e54cd78
Comment 1 John Marino freebsd_committer 2014-11-09 16:14:40 UTC
auto-assigned failed again...
Comment 2 Marcus von Appen freebsd_committer freebsd_triage 2014-11-09 19:09:36 UTC
(In reply to John Marino from comment #1)
> auto-assigned failed again...

The behaviour is correct, since there are two different ports mentioned in the subject and description.
Comment 3 commit-hook freebsd_committer 2014-11-10 00:00:46 UTC
A commit references this bug:

Author: danfe
Date: Mon Nov 10 00:00:03 UTC 2014
New revision: 372382
URL: https://svnweb.freebsd.org/changeset/ports/372382

Log:
  Fix distinfo for i386 flavor of version 304.123 of the driver.

  PR:	194890

Changes:
  head/x11/nvidia-driver/distinfo
Comment 4 Alexey Dokuchaev freebsd_committer 2014-11-10 00:05:53 UTC
Should be fixed in ports r194890, thanks.